Bug 6371 - unsuccessful net conf setparm leaves empty share
unsuccessful net conf setparm leaves empty share
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Config Files
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Michael Adam
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-17 15:06 UTC by Michael Adam
Modified: 2009-05-19 04:27 UTC (History)
1 user (show)

See Also:


Attachments
fix for bug 6371, adapted to 3-3-test (1.77 KB, patch)
2009-05-17 16:13 UTC, Michael Adam
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Adam 2009-05-17 15:06:32 UTC
How to reproduce:

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# bin/net conf list
[global]
        netbios name = test

# bin/net conf setparm share1 paath /data/samba/shares/share1/
Error setting value 'paath': WERR_INVALID_PARAM
# bin/net conf list
[global]
        netbios name = test

[share1]

#
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

The action of creating the share if it does not exist yet
and creating the parameter should be wrapped in a transaction.

Applies to versions 3.2.0 and newer.

Michael
Comment 1 Michael Adam 2009-05-17 16:10:31 UTC
Fix pushed to master and v3-4-test.

Michael
Comment 2 Michael Adam 2009-05-17 16:13:16 UTC
Created attachment 4165 [details]
fix for bug 6371, adapted to 3-3-test

Should we pick this for 3.3 ?
Comment 3 Volker Lendecke 2009-05-18 02:17:10 UTC
While the patch looks correct, I don't think this is really critical. An empty share is not really a problem IMO.

Volker
Comment 4 Karolin Seeger 2009-05-19 04:26:52 UTC
Updating product.
Comment 5 Karolin Seeger 2009-05-19 04:27:37 UTC
Closing out bug report (fix is already upstream).